import '@babel/polyfill';
import Raven from 'raven-js';
import RavenVue from 'raven-js/plugins/vue';
import Vue from 'vue';
import VueRouter from 'vue-router';
import VueAsyncComputed from 'vue-async-computed';
import './plugins/vuetify';
import App from './App';

Vue.config.productionTip = false;
Vue.use(VueRouter);
Vue.use(VueAsyncComputed, {
  useRawError: true,
  errorHandler(err) {
    Raven.captureException(err);
  },
});

function initialize() {
  new Vue({
    render: h => h(App),
    router: new VueRouter(),
  }).$mount('#app');
}

if (process.env.NODE_ENV === 'production') {
  const release = process.env.VUE_APP_GITHASH;
  Raven
    .config('https://5bec3c64cd0947878d45500e4a5b792b@sentry.io/1256289', {
      release,
      sanitizeKeys: [/[-_]token$/i, /[-_]sensitive[-_]/i, /[-_]auth[-_]/i, /^session$/],
    })
    .addPlugin(RavenVue, Vue)
    .install();
  Raven.context(initialize);
  Raven.setExtraContext({
    href: window.location.href,
  });
} else {
  initialize();
}
