#!/usr/bin/env python
"""
Target videos with ground truth (from Kellie):

2018-03-15_10-35-00_10-40-00_G329_admin:
    This clip is not part of the set of cameras for the  deliverable.  This
    clip was selected to give few activities  I confirmed that "entering
    through structure" occurs for two people from t = 4:33 - 4:35 and t = 4:36
    - 4:37.
2018-03-15_10-35-00_10-40-00_G328_school:
    This clip is not part of the set of cameras for the  deliverable, but does
    have activities.
"""

import click
import json
from stumpfwald import cli
from stumpfwald.task import generate

filename = 'batch1'
# app_id = '4d964ac8-7826-4c96-a077-e4468ed88074' # prod
app_id = '415d319c-39ad-4802-a629-e981e3569572'  # dev
videos = [
    # '33422e0f-3471-4c58-9f7e-19e7e452cf91', # 2018-03-15_10-35-00_10-40-00_G330_school
    # '9dc79d50-5124-4855-8435-49cfd312bed7', # 2018-03-15_10-35-00_10-40-00_G331_bus
    '733c0e07-8cc6-4575-9703-51939db02c98',  # 2018-03-15_10-35-00_10-40-00_G329_admin
    'b7685395-d85c-46f8-9d12-92bf5a75d785',  # 2018-03-15_10-35-00_10-40-00_G328_school
]
args = {
    'sandbox': True,
    'args': {
        'start': 0,
        'end': 300,
    },
    'title': 'Find starting positions for each of the objects in the video.',
    'description': 'Watch a short video and box the first time an object appears',
    'max_assignments': 1,
}


@cli.command(name='generate')
@click.pass_context
def gen(ctx):
    with open(filename + '.jsonl', 'w') as output:
        for v in videos:
            ctx.invoke(generate, type='KWIT', video_id=v,
                       app_id=app_id, args=json.dumps(args), output=output)


if __name__ == '__main__':
    cli.main()
