// Rectangle has origin 0,0 in the top left corner consistent with html canvas.
class Rectangle {
  constructor(startx, starty, width, height) {
    this.x = width > 0 ? startx : startx + width;
    this.y = height > 0 ? starty : starty + height;
    this.width = Math.abs(width);
    this.height = Math.abs(height);
  }
  get rect() {
    return {
      startX: this.x,
      startY: this.y,
      w: this.width,
      h: this.height,
    };
  }
  // x, y should be 0 OR 1
  point(x, y, scale = 1) {
    return {
      x: Math.round((this.x + (this.width * x)) * scale),
      y: Math.round((this.y + (this.height * y)) * scale),
    };
  }

  static clone(other) {
    return new Rectangle(other.x, other.y, other.width, other.height);
  }
}

export { Rectangle };
