const path = require('path');
const GitRevisionPlugin = require('git-revision-webpack-plugin');
const SentryPlugin = require('webpack-sentry-plugin');

process.env.VUE_APP_GITHASH = new GitRevisionPlugin().commithash();

module.exports = {
  lintOnSave: false,
  baseUrl: '/boxr',
  devServer: {
    proxy: 'http://localhost:5000',
    disableHostCheck: true,
  },
  configureWebpack(config) { /* eslint-disable no-param-reassign */
    config.resolve.alias = {
      'video.js': path.resolve('node_modules/video.js'), // deduplicate video.js in the bundle
    };
    if (process.env.NODE_ENV === 'production') {
      // ... nothing here ...
    }
  },
};
