import Vue from 'vue';
import VueRouter from 'vue-router';
import Raven from 'raven-js';
import RavenVue from 'raven-js/plugins/vue';
import common from 'stumpf-common';
import App from './App.vue';

Vue.config.productionTip = false;
Vue.use(VueRouter);
Vue.use(common);

function initialize() {
  new Vue({
    render: h => h(App),
    router: new VueRouter(),
  }).$mount('#app');
}


if (process.env.NODE_ENV === 'production') {
  const release = process.env.VUE_APP_GITHASH;
  Raven
    .config('https://a2bdb557c02e4bcc966f1404765a61ac@sentry.io/1306401', {
      release,
      sanitizeKeys: [/[-_]token$/i, /[-_]sensitive[-_]/i, /[-_]auth[-_]/i, /^session$/],
    })
    .addPlugin(RavenVue, Vue)
    .install();
  Raven.context(initialize);
  Raven.setExtraContext({
    href: window.location.href,
  });
} else {
  initialize();
}
