const keyBinding = {
  methods: {
    onKeyup(evt) {
      if (shortcuts[evt.key] && shortcuts[evt.key].call(this, evt) !== null) {
        evt.preventDefault();
      }
    },
  }
};

const videoConversions = {
  methods: {
    /* origin should be a tuple

       (0,1) .--------. (1,1)
             |        |
             |        |
       (0,0) .--------. (1,0)
     */
    boundingBoxFromRectangle(rect, origin, width, height) {
      return {
        top: origin[1] == 1 ? rect[1] : height - rect[1],
        left: origin[0] == 0 ? rect[0] : width - rect[0],
        width: rect[2] - rect[0],
        height: rect[3] - rect[1],
      };
    },
    timestampFromFrame(frame, rate) {
      return Math.round(frame / rate);
    },
  },
};

export {
  keyBinding,
  videoConversions,
};
