"""
add log notify trigger

Revision ID: 0ba5bd80bbb6
Revises: 21adce23f2bf
Create Date: 2018-08-16 13:23:59.981389

"""
from alembic import op


# revision identifiers, used by Alembic.
revision = '0ba5bd80bbb6'
down_revision = '21adce23f2bf'
branch_labels = None
depends_on = None


def upgrade():
    op.execute("""
       CREATE OR REPLACE FUNCTION log_notify()
       RETURNS TRIGGER AS
       $BODY$
       BEGIN
               IF NOT NEW.message ? 'channel' THEN
                  RAISE EXCEPTION 'NOTIFY messages must contain a "channel" attribute';
               END IF;
               IF NOT NEW.message ? 'payload' THEN
                  RAISE EXCEPTION 'NOTIFY messages must contain a "payload" attribute';
               END IF;

               PERFORM pg_notify(NEW.message ->> 'channel', NEW.message ->> 'payload');
               RETURN NEW;
       END;
       $BODY$
       LANGUAGE plpgsql VOLATILE;

       CREATE TRIGGER log_notify
       BEFORE INSERT ON log
       FOR EACH ROW WHEN (NEW.category = 'NOTIFY')
       EXECUTE PROCEDURE log_notify();""")


def downgrade():
    op.execute("""
    DROP TRIGGER IF EXISTS log_notify ON log;
    DROP FUNCTION IF EXISTS log_notify();
    """)
