"""
fix grozper track frame range

Revision ID: 14b6402b804a
Revises: 3401ae3b4e52
Create Date: 2018-10-31 10:11:15.071340

"""
from psycopg2.extras import NumericRange

from stumpf.diva_fact_schemas import ActivityFact, TrackFact
from stumpf.models import db


# revision identifiers, used by Alembic.
revision = '14b6402b804a'
down_revision = '3401ae3b4e52'
branch_labels = None
depends_on = None


def upgrade():
    # fix track frame ranges
    for track in TrackFact.query.all():
        lower = min(map(lambda detection: detection.frame_range.lower, track.detections))
        upper = max(map(lambda detection: detection.frame_range.upper, track.detections))

        track.frame_range = NumericRange(lower, upper, '[)')
        db.session.add(track)

    # fix activity frame ranges
    for activity in ActivityFact.query.all():
        lower = min(map(lambda track: track.frame_range.lower, activity.tracks))
        upper = max(map(lambda track: track.frame_range.upper, activity.tracks))

        activity.frame_range = NumericRange(lower, upper, '[)')
        db.session.add(activity)

    db.session.commit()


def downgrade():
    pass
