"""Move the 'hash' column from annotation_app table to the assignment
table and rename it 'app_version'

Revision ID: d745a03347c9
Revises: f4d1d4339750
Create Date: 2018-07-27 08:42:11.479072

"""
from alembic import op
import sqlalchemy as sa

# revision identifiers, used by Alembic.
revision = '2531962b230f'
down_revision = '93b1fa348662'
branch_labels = None
depends_on = None


def upgrade():
    op.add_column('assignment', sa.Column('app_version', sa.String(),
                                          nullable=True, server_default=None))

    # Hardcoded hash for refiner,  we only have one in production (2018-07-26)
    op.execute('UPDATE assignment AS a '
               'SET app_version = \'d8202b1bcf9de5e2f65167ed6662de532a62542b\' '
               'WHERE a.app_version IS NULL')

    op.drop_constraint(op.f('uq_annotation_app_repo_url'), 'annotation_app', type_='unique')
    op.create_unique_constraint(op.f('uq_annotation_app_repo_url'),
                                'annotation_app', ['repo_url', 'name'])

    op.drop_column('annotation_app', 'hash')


def downgrade():
    op.drop_column('assignment', 'app_version')

    op.add_column('annotation_app', sa.Column('hash', sa.String(), nullable=True))
    op.execute('UPDATE annotation_app AS aa '
               'SET hash = \'\' WHERE aa.hash IS NULL')
    op.alter_column('annotation_app', 'hash', nullable=False)

    op.drop_constraint(op.f('uq_annotation_app_repo_url'), 'annotation_app', type_='unique')
    op.create_unique_constraint(op.f('uq_annotation_app_repo_url'),
                                'annotation_app', ['repo_url', 'hash', 'name'])
