"""
Add view_sns_events

Revision ID: 46c026ac7b6b
Revises: e2ce8102a19b
Create Date: 2018-09-10 14:15:27.565305

"""
from alembic import op


# revision identifiers, used by Alembic.
revision = '46c026ac7b6b'
down_revision = 'e2ce8102a19b'
branch_labels = None
depends_on = None


def upgrade():
    op.execute("""
    CREATE OR REPLACE VIEW view_sns_events AS (
        SELECT id AS log_id,
               to_timestamp(message->'Message'->'Events'->0->>'EventTimestamp',
                            'YYYY-MM-DD"T"HH24:MI:SS"Z"')::timestamp at time zone 'UTC' as occurred,
               message->'Message'->'Events'->0->>'HITId' as hit_id,
               message->'Message'->'Events'->0->>'AssignmentId' as assignment_id,
               message->'Message'->'Events'->0->>'EventType' as event_type,
               message->'Message'->'Events'->0->>'WorkerId' as worker_id
        FROM log
        WHERE category = 'raw-sns-message'
        ORDER BY occurred, created)
    """)


def downgrade():
    op.execute('DROP VIEW IF EXISTS view_sns_events')
