"""
Change answer->assignment from many->1 to 1->1

Revision ID: 5078f97311a1
Revises: 8f88e10674f3
Create Date: 2018-08-20 15:17:32.181142

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '5078f97311a1'
down_revision = '8f88e10674f3'
branch_labels = None
depends_on = None


def upgrade():
    op.add_column('assignment', sa.Column('answer', postgresql.JSONB(astext_type=sa.Text()),
                                          nullable=True))
    # This is identical to the view in 73bd8f45c01c, except it pulls the answer from the assignment
    # table directly instead of having to join for it.
    op.execute("""
        CREATE OR REPLACE VIEW view_arity_answers AS
            SELECT task_id, video_id,
                   (args::json->>'start')::NUMERIC AS start,
                   (args::json->>'end')::NUMERIC AS end,
                   (answer::json->>'person opens trunk') AS "person opens trunk",
                   (answer::json->>'vehicle turning left') AS "vehicle turning left",
                   (answer::json->>'person texting on phone') AS "person texting on phone",
                   (answer::json->>'person enters through structure') AS
                   "person enters through structure",
                   (answer::json->>'people talking') AS "people talking"
            FROM (SELECT TASK.id AS task_id, video_id, args, assignment.answer, assignment.id
                  FROM assignment
                  JOIN TASK ON assignment.task_id = TASK.id
                  WHERE assignment.status = 'Approved' AND
                        TASK.annotation_app_id = '2d755948-af16-40bf-846e-0ce885a43b53') AS a
    """)
    op.drop_table('answer')


def downgrade():
    pass
