"""
create arity activity table

Revision ID: 7321a6c8691f
Revises: dd70a732e549
Create Date: 2018-08-29 14:21:22.158151

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '7321a6c8691f'
down_revision = 'dd70a732e549'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'arity_activity',
        sa.Column('id', postgresql.UUID(as_uuid=True), nullable=False),
        sa.Column('type_', postgresql.ENUM(
            'Sit_Down', 'Stand_Up', 'Carry_in_Hands', 'Carry_on_Back', 'Talk_on_Phone',
            'Text_On_Phone', 'Read_Document', 'Vehicle_Moving', 'Vehicle_Stopping',
            'Vehicle_Starting', 'Vehicle_Turning_Left', 'Vehicle_Turning_Right', 'Vehicle_UTurn',
            'Object_Transfer', 'Pick_Up_Object', 'Set_Down_Object', 'Heavy_Carry',
            'Hand_Interaction', 'Embrace_Interaction', 'Open_Facility_Door', 'Close_Facility_Door',
            'Enter_Facility', 'Exit_Facility', 'Open_Vehicle_Door', 'Close_Vehicle_Door',
            'Enter_Vehicle', 'Exit_Vehicle', 'Open_Trunk', 'Close_Trunk', 'Load_Vehicle',
            'Unload_Vehicle', 'Vehicle_PicksUp_Person', 'Vehicle_DropsOff_Person', 'People_Talking',
            'Joining_Queue', 'Riding', 'Purchasing', 'Laptop_Interaction', 'Abandon_Package',
            'Casing_Facility', 'Theft', name='activity_type_enum', create_type=False
        ), nullable=False),
        sa.Column('name', sa.String(), nullable=False),
        sa.Column('description', sa.String(), nullable=False),
        sa.PrimaryKeyConstraint('id', name=op.f('pk_arity_activity')),
        sa.UniqueConstraint('name', name=op.f('uq_arity_activity_name'))
    )


def downgrade():
    op.drop_table('arity_activity')
