"""
create arity answers view

Revision ID: 73bd8f45c01c
Revises: 666af989350a
Create Date: 2018-08-15 10:10:25.207616

"""
from alembic import op


# revision identifiers, used by Alembic.
revision = '73bd8f45c01c'
down_revision = '666af989350a'
branch_labels = None
depends_on = None


def upgrade():
    op.execute("""
CREATE OR REPLACE VIEW view_arity_answers as
SELECT task_id,
   video_id,
   ( args :: json ->> 'start' ) :: NUMERIC                  AS start,
   ( args :: json ->> 'end' ) :: NUMERIC                    AS end,
   ( answer :: json ->> 'person opens trunk' )              AS "person opens trunk",
   ( answer :: json ->> 'vehicle turning left' )            AS "vehicle turning left",
   ( answer :: json ->> 'person texting on phone' )         AS "person texting on phone",
   ( answer :: json ->> 'person enters through structure' ) AS "person enters through structure",
   ( answer :: json ->> 'people talking' )                  AS "people talking"
FROM   (SELECT TASK.id AS task_id,
       video_id,
       args,
       assignment.id
    FROM   assignment
       JOIN TASK ON assignment.task_id = TASK.id
    WHERE  assignment.status = 'Approved'
       AND TASK.annotation_app_id = '2d755948-af16-40bf-846e-0ce885a43b53') AS a
   JOIN answer ON answer.assignment_id = a.id
    """)


def downgrade():
    op.execute('DROP VIEW IF EXISTS view_arity_answers')
