"""
Change video paths to uuids

Revision ID: 93b1fa348662
Revises: f4d1d4339750
Create Date: 2018-07-28 00:40:55.715267

"""
import csv
import os
import tempfile

from alembic import op
import boto3


# revision identifiers, used by Alembic.
revision = '93b1fa348662'
down_revision = 'f4d1d4339750'
branch_labels = None
depends_on = None


def upgrade():
    with tempfile.TemporaryDirectory() as tmpdirname:

        # Download csv from s3. Requires boto credentials to be set.
        BUCKET_NAME = 'diva-mturk-video-metadata'
        KEY = 'video_uuid_name_path.csv'
        video_uuid_name_path_path = os.path.join(tmpdirname, KEY)
        s3 = boto3.resource('s3')
        s3.Bucket(BUCKET_NAME).download_file(KEY, video_uuid_name_path_path)

        # Update the video name and path.
        query = """update video set
                       name='%s',
                       path='%s'
                    where id='%s'"""
        with open(video_uuid_name_path_path, newline='') as csvfile:
            reader = csv.DictReader(csvfile)
            for row in reader:
                op.execute(query % (row['name'], row['path'], row['id']))


def downgrade():
    pass
