"""
Make assignment duration nullable for KWITs

Revision ID: 9b77d1c68a4f
Revises: 1aa0d3e15fac
Create Date: 2018-08-21 11:43:36.310243

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '9b77d1c68a4f'
down_revision = '1aa0d3e15fac'
branch_labels = None
depends_on = None


def upgrade():
    op.alter_column('task', 'assignment_duration_in_seconds', existing_type=sa.INTEGER(),
                    nullable=True)


def downgrade():
    op.execute("""
        UPDATE task SET assignment_duration_in_seconds = 0
        WHERE assignment_duration_in_seconds IS null
    """)
    op.alter_column('task', 'assignment_duration_in_seconds', existing_type=sa.INTEGER(),
                    nullable=False)
