"""
Add hit_group_id to task

Revision ID: a36531c29488
Revises: 73bd8f45c01c
Create Date: 2018-08-15 10:00:47.055384

"""
from alembic import op
import sqlalchemy as sa

from stumpf.models import Log, Task


# revision identifiers, used by Alembic.
revision = 'a36531c29488'
down_revision = '73bd8f45c01c'
branch_labels = None
depends_on = None


def upgrade():
    op.add_column('task', sa.Column('hit_group_id', sa.String(), nullable=True))

    for log in Log.query.filter_by(category='raw-sns-message').all():
        for event in log.message.get('Message', {}).get('Events', []):
            op.execute(sa.update(Task.__table__).where(Task.__table__.c.hit_id == event['HITId'])
                                                .values(hit_group_id=event['HITGroupId']))


def downgrade():
    op.drop_column('task', 'hit_group_id')
