"""
76 videos moved in s3 - issue #106

Revision ID: b56de99bc3c5
Revises: 46c026ac7b6b
Create Date: 2018-09-11 11:01:46
"""

from alembic import op

from stumpf.models import Video

# revision identifiers, used by Alembic.
revision = 'b56de99bc3c5'
down_revision = '46c026ac7b6b'
branch_labels = None
depends_on = None


def migrate(uri, ext):
    videos = Video.query.all()
    for video in videos:
        pathparts = video.name.split('_')
        destpath = '{uri}/uuid-encoded/{date}/{timestamp}/{location}/{id}.{ext}'.format(
            uri=uri,
            date=pathparts[0],
            timestamp='_'.join(pathparts[1:3]),
            location='_'.join(pathparts[3:]),
            id=video.id,
            ext=ext,
        )
        query_template = """
            UPDATE video
            SET path = '%s'
            WHERE id = '%s';
        """
        query = query_template % (destpath, video.id)
        op.execute(query)


def upgrade():
    migrate('https://diva-mturk-ingestion-prod.s3.amazonaws.com', 'mp4')


def downgrade():
    migrate('https://diva-mturk-video-catalog.s3.amazonaws.com', 'webm')
