"""
Create table for task status changes

Revision ID: dd70a732e549
Revises: fc56e24eca1a
Create Date: 2018-08-28 14:40:47.230939

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = 'dd70a732e549'
down_revision = 'fc56e24eca1a'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table('task_status_change',
                    sa.Column('id', postgresql.UUID(as_uuid=True), nullable=False),
                    sa.Column('created', sa.DateTime(), nullable=False),
                    sa.Column('occurred', sa.DateTime(), nullable=False),
                    sa.Column('task_id', postgresql.UUID(as_uuid=True), nullable=False),
                    sa.Column('status', postgresql.ENUM('Assignable', 'Unassignable', 'Reviewable',
                                                        'Reviewing', 'Disposed',
                                                        name='task_status_enum',
                                                        create_type=False),
                              nullable=False),
                    sa.ForeignKeyConstraint(['task_id'], ['task.id'],
                                            name=op.f('fk_task_status_change_task_id_task')),
                    sa.PrimaryKeyConstraint('id', name=op.f('pk_task_status_change')),
                    sa.UniqueConstraint('task_id', 'status',
                                        name=op.f('uq_task_status_change_task_id')))


def downgrade():
    op.drop_table('task_status_change')
