"""
Add feedback table

Revision ID: f4d1d4339750
Revises: afb6c28f4a4c0
Create Date: 2018-07-18 15:38:57.063171

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = 'f4d1d4339750'
down_revision = 'fb6c28f4a4c0'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table('feedback',
                    sa.Column('id', postgresql.UUID(as_uuid=True), nullable=False),
                    sa.Column('created', sa.DateTime(), nullable=False),
                    sa.Column('ip', sa.String(), nullable=False),
                    sa.Column('user_agent', sa.String(), nullable=False),
                    sa.Column('args', postgresql.JSONB(astext_type=sa.Text()), nullable=False),
                    sa.PrimaryKeyConstraint('id', name=op.f('pk_feedback')))


def downgrade():
    op.drop_table('feedback')
