"""
76 videos moved in s3 - issue #106

Revision ID: f70d03ad0fb9
Revises: 068a384da1ad
Create Date: 2018-09-04 11:01:46
"""

from alembic import op

from stumpf.models import Video

# revision identifiers, used by Alembic.
revision = 'f70d03ad0fb9'
down_revision = '068a384da1ad'
branch_labels = None
depends_on = None
s3_bucket_uri = 'https://diva-mturk-video-catalog.s3.amazonaws.com'


def upgrade():
    videos = Video.query.filter(Video.created < '2018-05-12').all()
    for video in videos:
        pathparts = video.name.split('_')
        destpath = '{uri}/uuid-encoded/{date}/{timestamp}/{location}/{id}.webm'.format(
            uri=s3_bucket_uri,
            date=pathparts[0],
            timestamp='_'.join(pathparts[1:3]),
            location='_'.join(pathparts[3:]),
            id=video.id,
        )
        query_template = """
            UPDATE video
            SET path = '%s'
            WHERE id = '%s';
        """
        query = query_template % (destpath, video.id)
        op.execute(query)


def downgrade():
    videos = Video.query.filter(Video.created < '2018-05-12').all()
    for video in videos:
        destpath = '{uri}/uuid-encoded/{id}.webm'.format(
            uri=s3_bucket_uri,
            id=video.id,
        )
        query_template = """
            UPDATE video
            SET path = '%s'
            WHERE id = '%s';
        """
        query = query_template % (destpath, video.id)
        op.execute(query)
