"""
add gladiator scoring

Revision ID: fa2a64fb9475
Revises: 14b6402b804a
Create Date: 2018-11-02 15:38:40.225652

"""
from alembic import op


# revision identifiers, used by Alembic.
revision = 'fa2a64fb9475'
down_revision = '14b6402b804a'
branch_labels = None
depends_on = None


def upgrade():
    op.execute('DROP FUNCTION IF EXISTS gladiator_score_assignment_answer')
    op.execute("""
        CREATE FUNCTION gladiator_score_assignment_answer(assignment_id_ UUID) RETURNS BOOL AS $$
        DECLARE
            activity_id_ UUID;
            task_id_ UUID;
            is_good_ BOOL;
            answer_ BOOL;
        BEGIN
        SELECT task_id FROM assignment WHERE id = assignment_id_ INTO task_id_;
        SELECT (answer->>'good')::BOOL FROM assignment WHERE id = assignment_id_ INTO answer_;
        SELECT (args->>'activityId')::UUID FROM task WHERE id = task_id_ INTO activity_id_;
        SELECT fact->>'good' FROM fact
            WHERE (fact->>'activity_id')::UUID = activity_id_
            AND schema = 'gladiator:answer' LIMIT 1 INTO is_good_;
        RETURN is_good_ = answer_;
        END $$ LANGUAGE plpgsql STABLE;
    """)
    op.execute('DROP VIEW IF EXISTS view_gladiator_assignments')
    op.execute("""
        CREATE VIEW view_gladiator_assignments AS (
            SELECT gladiator_score_assignment_answer(id) AS correct, * FROM assignment
            WHERE task_id IN (
                SELECT id FROM task
                WHERE annotation_app_id = 'd4f8d27a-b3b6-44c3-b6ed-1e8910048c2d'
                AND sandbox = false
            )
        )
    """)


def downgrade():
    op.execute('DROP VIEW IF EXISTS view_gladiator_assignments')
    op.execute('DROP FUNCTION IF EXISTS gladiator_score_assignment_answer')
