"""
fix arity views

Revision ID: fc56e24eca1a
Revises: 0a460585abe4
Create Date: 2018-08-27 08:38:37.925882

"""
from alembic import op


# revision identifiers, used by Alembic.
revision = 'fc56e24eca1a'
down_revision = '0a460585abe4'
branch_labels = None
depends_on = None


def upgrade():
    op.execute('DROP VIEW IF EXISTS view_arity_answers')
    op.execute("""
        CREATE VIEW view_arity_answers AS
            SELECT id, task_id, video_id, created, sandbox, app_version,
               (args->>'start')::NUMERIC AS start,
               (args->>'end')::NUMERIC AS end,
               (answer->>'people talking') AS "people talking",
               (answer->>'person entering through structure')
                   AS "person entering through structure",
               (answer->>'person joining a queue') as "person joining a queue",
               (answer->>'person opens trunk') AS "person opens trunk",
               (answer->>'person picks up object') as "person picks up object",
               (answer->>'person reading document') as "person reading document",
               (answer->>'person sits down') as "person sits down",
               (answer->>'person texting on phone') AS "person texting on phone",
               (answer->>'theft') as "theft",
               (answer->>'vehicle drops off person') as "vehicle drops off person",
               (answer->>'vehicle turning left') AS "vehicle turning left"
            FROM (SELECT TASK.id AS task_id,
                  TASK.sandbox AS sandbox,
                  video_id, args, assignment.answer, assignment.id, app_version,
                  assignment.created as created
              FROM assignment
              JOIN TASK ON assignment.task_id = TASK.id
              WHERE assignment.status = 'Approved'
                  AND TASK.annotation_app_id = '2d755948-af16-40bf-846e-0ce885a43b53') AS a
    """)
    op.execute('DROP VIEW IF EXISTS view_arity_task_answers')
    op.execute("""
        CREATE VIEW view_arity_task_answers as
        SELECT id,
           video_id,
           created,
           sandbox,
           (args->>'start')::NUMERIC AS start,
           (args->>'end')::NUMERIC AS end,
           (answer->>'people talking') AS "people talking",
           (answer->>'person entering through structure')
               AS "person entering through structure",
           (answer->>'person joining a queue') as "person joining a queue",
           (answer->>'person opens trunk') AS "person opens trunk",
           (answer->>'person picks up object') as "person picks up object",
           (answer->>'person reading document') as "person reading document",
           (answer->>'person sits down') as "person sits down",
           (answer->>'person texting on phone') AS "person texting on phone",
           (answer->>'theft') as "theft",
           (answer->>'vehicle drops off person') as "vehicle drops off person",
           (answer->>'vehicle turning left') as "vehicle turning left"
        FROM task
        WHERE annotation_app_id = '2d755948-af16-40bf-846e-0ce885a43b53'
    """)


def downgrade():
    pass
