import json
import uuid

from stumpf.tama import ChibiTama, listen

BOXR_APP_ID = uuid.UUID('4d964ac8-7826-4c96-a077-e4468ed88074')
task_query = """
SELECT annotation_app_id FROM task
    WHERE id = '{task_id}'
    LIMIT 1;
"""


class BoxrChibiTama(ChibiTama):
    @listen('assignment:UPDATE')
    def copy_boxr_task(self, channel, new=None, old=None, **kwargs):
        if 'task_id' in new and 'answer' in new:
            task_id = new['task_id']
            answer = new['answer']
            app_id = self.conn.execute(task_query.format(task_id=task_id)).fetchone()[0]
            if app_id != BOXR_APP_ID:
                self.log.debug('Skipping processing of non-boxr app')
                return
            elif new['answer'] is not None:
                self.conn.execute(
                    f"UPDATE task SET answer = '{json.dumps(answer)}' WHERE id = '{task_id}'")
        else:
            self.log.debug('Skipping processing because this is not a task submission event.')
