from flask import Blueprint, jsonify

from stumpf.models import Assignment


stats_bp = Blueprint('stats', __name__)


@stats_bp.route('/stat', methods=['GET'])
def get_stats():
    return jsonify({
        'total': '-',
        'average': '-',
        'completed': '-',
        'assignments': Assignment.query.filter(Assignment.status.in_(
            ['Submitted', 'Approved', 'Rejected'])).count(),
        'mechanicalTurkers': Assignment.query.distinct('worker_id').count()
    })
