import Vue from 'vue';
import Router from 'vue-router';
import VideosView from '@/components/VideosView';
import VideoView from '@/components/VideoView';
import TasksView from '@/components/TasksView';

Vue.use(Router);

export default new Router({
  routes: [{
    path: '/',
    redirect: '/videos',
  }, {
    path: '/videos',
    name: 'Videos',
    component: VideosView,
  }, {
    path: '/videos/:video_id',
    name: 'Video',
    component: VideoView,
    props: true,
  }, {
    path: '/tasks',
    name: 'Tasks',
    component: TasksView,
  }],
});
