import 'swagger-ui/dist/swagger-ui.css';

import SwaggerUI from 'swagger-ui';

import getToken from './token';

function requestInterceptor(req) {
  return {
    ...req,
    headers: {
      'X-Stumpf-Token': getToken(),
      ...req.headers,
    },
  };
}
const headers = {
  'X-Stumpf-token': getToken(),
  'Content-Type': 'application/json',
};

fetch('/api/v1/user/me', { headers }).then((resp) => {
  if (!resp.ok) {
    throw new Error('Request failed');
  }
  SwaggerUI({
    dom_id: '#openapi',
    url: '/swagger.json',
    requestInterceptor,
    filter: true,
    deepLinking: true,
    operationsSorter: 'alpha',
    tagsSorter: 'alpha',
  });
}).catch(() => {
  window.location.assign('/login?next=%2Fswagger.html');
});
