import 'babel-polyfill';

import AsyncComputed from 'vue-async-computed';
import MockAdapter from 'axios-mock-adapter';
import Vue from 'vue';
import VueAxios from 'vue-axios';
import Vuetify from 'vuetify';
import axios from 'axios';

const axiosInstance = axios.create({
  baseURL: '/api/v1',
  headers: {
    'X-Stumpf-token': 'deadbeef',
    'Content-Type': 'application/json',
  },
});
const mock = new MockAdapter(axiosInstance);
mock.onGet(/user\/me/).reply(200, {});
Vue.prototype.axiosMock = mock;

Vue.config.productionTip = false;
Vue.use(VueAxios, axiosInstance);
Vue.use(AsyncComputed);
Vue.use(Vuetify);

// silence warnings
// https://github.com/vuejs/vue-test-utils/issues/532
Vue.config.silent = true;

// require all test files (files that ends with .spec.js)
const testsContext = require.context('./specs', true, /\.spec$/);
testsContext.keys().forEach(testsContext);

// require all src files except main.js for coverage.
// you can also change this to match only the subset of files that
// you want coverage for.
const srcContext = require.context('../../src', true, /^\.\/(?!main(\.js)?$)/);
srcContext.keys().forEach(srcContext);
