import { mount } from '@vue/test-utils';

import ActionDrawer from '@/components/ActionDrawer';

describe('ActionDrawer.vue', () => {
  it('minimize on titlebar click', () => {
    const wrapper = mount(ActionDrawer, {
      propsData: { value: true },
    });
    wrapper.find('.action-drawer-header').trigger('click');
    expect(wrapper.emitted('input')).to.eql([[false]]);
  });

  it('reactive icon', () => {
    const wrapper = mount(ActionDrawer);
    expect(wrapper.vm.titleIcon).to.equal('keyboard_arrow_up');

    wrapper.setProps({ value: true });
    expect(wrapper.vm.titleIcon).to.equal('keyboard_arrow_down');
  });
});
